org.apache.cassandra.thrift

## Class CqlMetadata

- java.lang.Object
- - org.apache.cassandra.thrift.CqlMetadata

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<CqlMetadata>, org.apache.thrift.TBase<CqlMetadata,CqlMetadata._Fields>

    public class CqlMetadata
    extends java.lang.Object
    implements org.apache.thrift.TBase<CqlMetadata,CqlMetadata._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<CqlMetadata>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `CqlMetadata._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`java.lang.String` `default_name_type`
`java.lang.String` `default_value_type`
`static java.util.Map<CqlMetadata._Fields,org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`java.util.Map<java.nio.ByteBuffer,java.lang.String>` `name_types`
`java.util.Map<java.nio.ByteBuffer,java.lang.String>` `value_types`

### Constructor Summary

Constructors
Constructor and Description
`CqlMetadata()`
`CqlMetadata(CqlMetadata other)` Performs a deep copy on other.
`CqlMetadata(java.util.Map<java.nio.ByteBuffer,java.lang.String> name_types, java.util.Map<java.nio.ByteBuffer,java.lang.String> value_types, java.lang.String default_name_type, java.lang.String default_value_type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo(CqlMetadata other)`
`CqlMetadata` `deepCopy()`
`boolean` `equals(CqlMetadata that)`
`boolean` `equals(java.lang.Object that)`
`CqlMetadata._Fields` `fieldForId(int fieldId)`
`java.lang.String` `getDefault_name_type()`
`java.lang.String` `getDefault_value_type()`
`java.lang.Object` `getFieldValue(CqlMetadata._Fields field)`
`java.util.Map<java.nio.ByteBuffer,java.lang.String>` `getName_types()`
`int` `getName_typesSize()`
`java.util.Map<java.nio.ByteBuffer,java.lang.String>` `getValue_types()`
`int` `getValue_typesSize()`
`int` `hashCode()`
`boolean` `isSet(CqlMetadata._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetDefault_name_type()` Returns true if field default_name_type is set (has been assigned a value) and false otherwise
`boolean` `isSetDefault_value_type()` Returns true if field default_value_type is set (has been assigned a value) and false otherwise
`boolean` `isSetName_types()` Returns true if field name_types is set (has been assigned a value) and false otherwise
`boolean` `isSetValue_types()` Returns true if field value_types is set (has been assigned a value) and false otherwise
`void` `putToName_types(java.nio.ByteBuffer key, java.lang.String val)`
`void` `putToValue_types(java.nio.ByteBuffer key, java.lang.String val)`
`void` `read(org.apache.thrift.protocol.TProtocol iprot)`
`CqlMetadata` `setDefault_name_type(java.lang.String default_name_type)`
`void` `setDefault_name_typeIsSet(boolean value)`
`CqlMetadata` `setDefault_value_type(java.lang.String default_value_type)`
`void` `setDefault_value_typeIsSet(boolean value)`
`void` `setFieldValue(CqlMetadata._Fields field, java.lang.Object value)`
`CqlMetadata` `setName_types(java.util.Map<java.nio.ByteBuffer,java.lang.String> name_types)`
`void` `setName_typesIsSet(boolean value)`
`CqlMetadata` `setValue_types(java.util.Map<java.nio.ByteBuffer,java.lang.String> value_types)`
`void` `setValue_typesIsSet(boolean value)`
`java.lang.String` `toString()`
`void` `unsetDefault_name_type()`
`void` `unsetDefault_value_type()`
`void` `unsetName_types()`
`void` `unsetValue_types()`
`void` `validate()`
`void` `write(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### name_types

    public java.util.Map<java.nio.ByteBuffer,java.lang.String> name_types

#### value_types

    public java.util.Map<java.nio.ByteBuffer,java.lang.String> value_types

#### default_name_type

    public java.lang.String default_name_type

#### default_value_type

    public java.lang.String default_value_type

#### metaDataMap

    public static final java.util.Map<CqlMetadata._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### CqlMetadata

    public CqlMetadata()

#### CqlMetadata

    public CqlMetadata(java.util.Map<java.nio.ByteBuffer,java.lang.String> name_types,
                       java.util.Map<java.nio.ByteBuffer,java.lang.String> value_types,
                       java.lang.String default_name_type,
                       java.lang.String default_value_type)

#### CqlMetadata

    public CqlMetadata(CqlMetadata other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public CqlMetadata deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<CqlMetadata,CqlMetadata._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<CqlMetadata,CqlMetadata._Fields>`

#### getName_typesSize

    public int getName_typesSize()

#### putToName_types

    public void putToName_types(java.nio.ByteBuffer key,
                                java.lang.String val)

#### getName_types

    public java.util.Map<java.nio.ByteBuffer,java.lang.String> getName_types()

#### setName_types

    public CqlMetadata setName_types(java.util.Map<java.nio.ByteBuffer,java.lang.String> name_types)

#### unsetName_types

    public void unsetName_types()

#### isSetName_types

    public boolean isSetName_types()

Returns true if field name_types is set (has been assigned a value) and false otherwise

#### setName_typesIsSet

    public void setName_typesIsSet(boolean value)

#### getValue_typesSize

    public int getValue_typesSize()

#### putToValue_types

    public void putToValue_types(java.nio.ByteBuffer key,
                                 java.lang.String val)

#### getValue_types

    public java.util.Map<java.nio.ByteBuffer,java.lang.String> getValue_types()

#### setValue_types

    public CqlMetadata setValue_types(java.util.Map<java.nio.ByteBuffer,java.lang.String> value_types)

#### unsetValue_types

    public void unsetValue_types()

#### isSetValue_types

    public boolean isSetValue_types()

Returns true if field value_types is set (has been assigned a value) and false otherwise

#### setValue_typesIsSet

    public void setValue_typesIsSet(boolean value)

#### getDefault_name_type

    public java.lang.String getDefault_name_type()

#### setDefault_name_type

    public CqlMetadata setDefault_name_type(java.lang.String default_name_type)

#### unsetDefault_name_type

    public void unsetDefault_name_type()

#### isSetDefault_name_type

    public boolean isSetDefault_name_type()

Returns true if field default_name_type is set (has been assigned a value) and false otherwise

#### setDefault_name_typeIsSet

    public void setDefault_name_typeIsSet(boolean value)

#### getDefault_value_type

    public java.lang.String getDefault_value_type()

#### setDefault_value_type

    public CqlMetadata setDefault_value_type(java.lang.String default_value_type)

#### unsetDefault_value_type

    public void unsetDefault_value_type()

#### isSetDefault_value_type

    public boolean isSetDefault_value_type()

Returns true if field default_value_type is set (has been assigned a value) and false otherwise

#### setDefault_value_typeIsSet

    public void setDefault_value_typeIsSet(boolean value)

#### setFieldValue

    public void setFieldValue(CqlMetadata._Fields field,
                              java.lang.Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<CqlMetadata,CqlMetadata._Fields>`

#### getFieldValue

    public java.lang.Object getFieldValue(CqlMetadata._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<CqlMetadata,CqlMetadata._Fields>`

#### isSet

    public boolean isSet(CqlMetadata._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<CqlMetadata,CqlMetadata._Fields>`

#### equals

    public boolean equals(java.lang.Object that)

Overrides:
  `equals` in class `java.lang.Object`

#### equals

    public boolean equals(CqlMetadata that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### compareTo

    public int compareTo(CqlMetadata other)

Specified by:
  `compareTo` in interface `java.lang.Comparable<CqlMetadata>`

#### fieldForId

    public CqlMetadata._Fields fieldForId(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<CqlMetadata,CqlMetadata._Fields>`

#### read

    public void read(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TBase<CqlMetadata,CqlMetadata._Fields>`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TBase<CqlMetadata,CqlMetadata._Fields>`
Throws:
  `org.apache.thrift.TException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`